log4j.rootCategory=appConsole, R
#appConsole ( para que no escriba por consola las operaciones) DEBUG,


# appender appConsola
# Configuracion para utilizar un Appender de Consola
log4j.appender.appConsole=org.apache.log4j.ConsoleAppender


# Se define que el appender no despliegue ning�n mensaje con prioridad menor a la especificada
log4j.appender.appConsole.Threshold=INFO
#log4j.appender.appConsole.Threshold=INFO

# Defino la capa PatternLayout para la consola
log4j.appender.appConsole.layout=org.apache.log4j.PatternLayout
## Configuracion de la salida 
#log4j.appender.appConsole.layout.ConversionPattern=%d{HH:mm:ss}  %c.%M(%L) - %m%n
log4j.appender.appConsole.layout.ConversionPattern=%d{yyyy-MM-dd HH:mm:ss} %t %-5p %c.%M(%L) - %m%n


log4j.appender.R=org.apache.log4j.RollingFileAppender 
log4j.appender.R.File=${catalina.base}/logs/viafirma.log 
log4j.appender.R.MaxFileSize=20MB 
log4j.appender.R.MaxBackupIndex=100
log4j.appender.R.layout=org.apache.log4j.PatternLayout 
log4j.appender.R.layout.ConversionPattern=%d{yyyy-MM-dd HH:mm:ss} %t %-5p %c.%M(%L) - %m%n
log4j.appender.R.Threshold=DEBUG


#log4j.logger.com.viavansi.framework=INFO
log4j.logger.org.apache=WARN
log4j.logger.javax.faces=INFO
log4j.logger.org.hibernate=INFO
log4j.logger.org.viafirma=INFO
log4j.logger.org.apache.xml=INFO
log4j.logger.com.viafirma=INFO
log4j.logger.net.sf.ehcache=INFO
log4j.logger.org.apache.myfaces.component.html.util.ExtensionsFilter=ERROR
log4j.logger.net.sf.ehcache.CacheManager=INFO
log4j.logger.net.sf.ehcache.distribution.MulticastKeepaliveHeartbeatReceiver=INFO
log4j.logger.net.sf.ehcache.distribution.MulticastRMICacheManagerPeerProvider=INFO
log4j.logger.httpclient.wire.header=INFO
log4j.logger.httpclient.wire.content=WARN
log4j.logger.es.mityc.firmaJava=INFO
log4j.logger.com.viavansi.framework=ERROR
log4j.logger.org.viafirma.cliente=ERROR
     
#XML
log4j.logger.org.apache.xml.security.signature.Reference=WARN

#Informaci�n openID ( comentar para depurar OpenID)
log4j.logger.org.openid4java=WARN
#log4j.logger.org.openid4java.message.ParameterList=INFO
#log4j.logger.org.openid4java.message.AuthSuccess=INFO
#log4j.logger.org.openid4java.message.AuthRequest=INFO
#log4j.logger.org.openid4java.server.ServerManager=INFO
#log4j.logger.org.openid4java.message.ax=INFO
#log4j.logger.org.openid4java.message.Message=INFO
#log4j.logger.org.openid4java.association.Association=INFO
#log4j.logger.org.openid4java.util.InternetDateFormat=INFO
#log4j.logger.org.openid4java.consumer.AbstractNonceVerifie=INFO
#log4j.logger.org.openid4java.discovery=INFO
#log4j.logger.org.openid4java.server.RealmVerifier=WARN
#log4j.logger.org.openid4java.consumer.AbstractNonceVerifier.seen=INFO
#log4j.logger.org.openid4java.server.ServerManager.authResponse=WARN
#log4j.logger.org.openid4java.message.AssociationResponse.createAssociationResponse=INFO
#log4j.logger.org.openid4java.association.DiffieHellmanSession=WARN